package com.qmth.boot.core.enums;

public enum Platform {

    IOS, ANDROID, WIN, MAC, WXAPP, WEB;

    public String getName() {
        return toString().toLowerCase();
    }

    public static Platform findByName(String name) {
        if (name != null) {
            for (Platform platform : values()) {
                if (platform.toString().equalsIgnoreCase(name)) {
                    return platform;
                }
            }
        }
        return null;
    }
}
